CMSIS-DSP: arm_bayes_example_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_bayes_example_f32.c File Reference

## Macros
#define | NB_OF_CLASSES
#define | VECTOR_DIMENSION

## Functions
int32_t | main (void)

## Variables
arm_gaussian_naive_bayes_instance_f32 | S
const float32_t | theta [NB_OF_CLASSES *VECTOR_DIMENSION]
const float32_t | sigma [NB_OF_CLASSES *VECTOR_DIMENSION]
const float32_t | classPriors [NB_OF_CLASSES]

## Macro Definition Documentation

#define NB_OF_CLASSES

Examples:
  arm_bayes_example_f32.c.

#define VECTOR_DIMENSION

Examples:
  arm_bayes_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_bayes_example_f32.c.

## Variable Documentation

const float32_t classPriors[NB_OF_CLASSES]

Class prior probabilities

Examples:
  arm_bayes_example_f32.c.

arm_gaussian_naive_bayes_instance_f32 S

Examples:
  arm_bayes_example_f32.c, arm_fir_example_f32.c, and arm_linear_interp_example_f32.c.

const float32_t sigma[NB_OF_CLASSES *VECTOR_DIMENSION]

Variances for the Gaussians

Examples:
  arm_bayes_example_f32.c.

const float32_t theta[NB_OF_CLASSES *VECTOR_DIMENSION]

Mean values for the Gaussians

Examples:
  arm_bayes_example_f32.c.